SingleColumnRestriction.SuperColumnMultiEQRestriction (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.cql3.restrictions

## Class SingleColumnRestriction.SuperColumnMultiEQRestriction

- java.lang.Object
- - org.apache.cassandra.cql3.restrictions.SingleColumnRestriction
  - - org.apache.cassandra.cql3.restrictions.SingleColumnRestriction.EQRestriction
    - - org.apache.cassandra.cql3.restrictions.SingleColumnRestriction.SuperColumnMultiEQRestriction

- All Implemented Interfaces:
    Restriction, SingleRestriction
  Enclosing class:
    SingleColumnRestriction

      public static class SingleColumnRestriction.SuperColumnMultiEQRestriction
      extends SingleColumnRestriction.EQRestriction

  Super Column Compatibiltiy

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.restrictions.SingleColumnRestriction

      `SingleColumnRestriction.ContainsRestriction, SingleColumnRestriction.EQRestriction, SingleColumnRestriction.INRestriction, SingleColumnRestriction.InRestrictionWithMarker, SingleColumnRestriction.InRestrictionWithValues, SingleColumnRestriction.IsNotNullRestriction, SingleColumnRestriction.LikeRestriction, SingleColumnRestriction.SliceRestriction, SingleColumnRestriction.SuperColumnKeyEQRestriction, SingleColumnRestriction.SuperColumnKeyINRestriction, SingleColumnRestriction.SuperColumnKeyINRestrictionWithMarkers, SingleColumnRestriction.SuperColumnKeyINRestrictionWithValues, SingleColumnRestriction.SuperColumnKeySliceRestriction, SingleColumnRestriction.SuperColumnMultiEQRestriction, SingleColumnRestriction.SuperColumnMultiSliceRestriction`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.nio.ByteBuffer` | `firstValue`
    `java.nio.ByteBuffer` | `secondValue`

    - ### Fields inherited from class org.apache.cassandra.cql3.restrictions.SingleColumnRestriction.EQRestriction

      `value`

    - ### Fields inherited from class org.apache.cassandra.cql3.restrictions.SingleColumnRestriction

      `columnDef`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SuperColumnMultiEQRestriction(ColumnDefinition columnDef, Term value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MultiCBuilder` | `appendTo(MultiCBuilder builder, QueryOptions options)` Appends the values of this `SingleRestriction` to the specified builder.

    - ### Methods inherited from class org.apache.cassandra.cql3.restrictions.SingleColumnRestriction.EQRestriction

      `addFunctionsTo, addRowFilterTo, doMergeWith, isEQ, isSupportedBy, toString`

    - ### Methods inherited from class org.apache.cassandra.cql3.restrictions.SingleColumnRestriction

      `getColumnDefs, getFirstColumn, getLastColumn, hasSupportingIndex, mergeWith`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.cql3.restrictions.SingleRestriction

      `appendBoundTo, hasBound, isContains, isIN, isInclusive, isLIKE, isMultiColumn, isNotNull, isSlice`

    - ### Methods inherited from interface org.apache.cassandra.cql3.restrictions.Restriction

      `isOnToken`

- - ### Field Detail

    - #### firstValue

          public java.nio.ByteBuffer firstValue

    - #### secondValue

          public java.nio.ByteBuffer secondValue

  - ### Constructor Detail

    - #### SuperColumnMultiEQRestriction

          public SuperColumnMultiEQRestriction(ColumnDefinition columnDef,
                                               Term value)

  - ### Method Detail

    - #### appendTo

          public MultiCBuilder appendTo(MultiCBuilder builder,
                                        QueryOptions options)

      Description copied from interface: `SingleRestriction`
      Appends the values of this `SingleRestriction` to the specified builder.
      Specified by:
        `appendTo` in interface `SingleRestriction`
      Overrides:
        `appendTo` in class `SingleColumnRestriction.EQRestriction`
      Parameters:
        `builder` - the `MultiCBuilder` to append to.
        `options` - the query options
      Returns:
        the `MultiCBuilder`

Copyright © 2018 The Apache Software Foundation